Bug 97842 - Mailman picking up incorrect GID
Mailman picking up incorrect GID
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mailman (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: John Dennis
Depends On:
  Show dependency treegraph
Reported: 2003-06-23 01:35 EDT by David Richards
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-25 10:13:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Richards 2003-06-23 01:35:44 EDT
Description of problem:
Mailman failing to deliver messages to lists.

Version-Release number of selected component (if applicable):  v2.0.13 

How reproducible:
Install Mailman and create a list, then attempt to e-mail the list.

Steps to Reproduce:
Actual results:
Failure to exec script. WANTED gid 12, GOT gid 47.  (Reconfigure to take 47?) 
in log

Expected results:
Message accepted and delivered.

Additional info:
Email as sent to Red Hat support:

> >Incident Number: 239106
> >Customer Name:   ADAM  RIGBY
> >Customer Number: 453570
> >Date Opened:     Jun 11, 2003 22:37
> >Date Changed:    Jun 13, 2003 07:10
> >Red Hat Tech:    Jean-Christophe
> >
> >Your Red Hat product:    
> >
> >Red Hat Enterprise Linux AS 2.1 Premium Edition
> >
> >Summary of your problem:
> >
> >Configuration problems with mailman
> >
> >Description of your problem:
> >
> >We have an problem with mailman v2.0.13 that was installed using the 
> >RPM's as supplied with RH Adv. Server 2.1.
> >
> >After creating a mailing list, we are getting the following errors in 
> the 
> >logs:
> >
> >Failure to exec script. WANTED gid 12, GOT gid 47.  (Reconfigure to take 
> >47?) 
> >
> >All investigation I have done on the web says mailman needs to be re-
> >compiled to fix this.  Anyway, the relevant parts of 
> >the "Mailman/mm_cfg.py" file is as follows:
> >
> >MAILMAN_UID = pwd.getpwnam('mailman')[2]
> >MAILMAN_GID = grp.getgrnam('mailman')[2]
> >
> >This is the set up in the sendmail aliases file (and has 
> had 'newaliases' 
> >run):
> >
> >davo:                    "|/var/mailman/mail/wrapper post davo"
> >davo-admin:              "|/var/mailman/mail/wrapper mailowner davo"
> >davo-request:            "|/var/mailman/mail/wrapper mailcmd davo"
> >davo-owner:              davo-admin
> >
> >Also below is the 'maillog' in which it appears.  
> >
> >Jun 12 11:56:10 copperhead sendmail[28408]: h5C1uAp28408: 
> >from=<d.richards@qut.edu.au>, size=1040, class=0, nrcpts=1, 
> >msgid=<75817195.92925e3e.81a6d00@mail-msgstore01.qut.edu.au>, 
> >proto=ESMTP, daemon=MTA, relay=IDENT:mirapoint@mail-router02-
> >eth0.qut.edu.au []
> >Jun 12 11:56:10 copperhead Mailman mail-wrapper: Failure to exec script. 
> >WANTED gid 12, GOT gid 47.  (Reconfigure to take 47?) 
> >Jun 12 11:56:10 copperhead sendmail[28409]: h5C1uAp28408: 
> >to="|/var/mailman/mail/wrapper post davo", ctladdr=<davo@mail-
> >list.qut.edu.au> (47/0), delay=00:00:00, xdelay=00:00:00, mailer=prog, 
> >pri=30127, dsn=5.3.0, stat=unknown mailer error 2
> >Jun 12 11:56:10 copperhead sendmail[28409]: h5C1uAp28408: h5C1uAp28409: 
> >DSN: unknown mailer error 2
> >Jun 12 11:56:10 copperhead sendmail[28409]: h5C1uAp28409: 
> >to=<d.richards@qut.edu.au>, delay=00:00:00, xdelay=00:00:00, 
> >mailer=relay, pri=30227, relay=mail-relay.qut.edu.au. [], 
> >dsn=2.0.0, stat=Sent (AIS88616 Message accepted for delivery)
> >
> >
> >Thanks,
> >
> >Dave.
Comment 1 John Dennis 2003-06-23 11:08:46 EDT
2.0.13 is a fairly old rpm, I strongly suggest you upgrade to the latest mailman
rpm on ftp.redhat.com.

In any event, you don't need to recompile, it sounds like somehow the user and
group "mailman" didn't get created when the package was installed, were later
removed, or have been disabled. Please verify that /etc/passwd and /etc/group
contain mailman. It is possible that your system administrator may have turned
off all local user and group lookups in favor of network bases user and group
managment. If this had been done you will get exactly this failure. The solution
is either to allow local lookups in addition to NIS (yellowpages) or to have the
mailman user and group added to the network global database.

Please verify if these conditions exist. If they do then this is not a bug in
the rpm.
Comment 2 David Richards 2003-06-24 22:11:08 EDT
I am unable to find a later version of mailman on ftp.redhat.com - the latest 
under both 2.1AS and 7.2 (standard) is v2.0.13.  Please let me know if there 
is any other I can install...

Under /pub/redhat/linux/updates/7.2/en/os/i386 is v2.0.13 and even 
under /pub/redhat/linux/updates/enterprise/2.1AS/en/os/SRPMS there is only the 
source for 2.0.13

However, under version 9 (standard release) there is v2.1.8 - will this work 
with Adv.Server 2.1??

The command "up2date --list" run on the machine does not show a new version of 
mailman is available.  

Also, I can confirm that we are using local users and groups, and both the 
mailman /etc/passwd and /etc/group entries exist as per:

mailman:x:41:41:GNU Mailing List Manager:/var/mailman:/bin/false

extracted from /etc/passwd and /etc/group respectively.

Thoughts??  Should I upgrade to v2.1.8 distributed with v9?  Should uninstall 
RPM v2.0.13 before installing v2.1.8??

Thanks -- appreciate you help.  :-)
Comment 3 David Richards 2003-06-24 23:10:51 EDT
OK, found the problem.

After doing some extensive reading and sorting through the source code of 
mailman, it is the GID of the parent process is not the same as the mailman 
wrapper process.

I modified the sendmail config so it runs as "mailnull:mail" and all works 
well now.  Thanks....  you may close this now.

Note You need to log in before you can comment on or make changes to this bug.